﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_loop_over_controls
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnAll_Click(object sender, EventArgs e)
        {
            lstControls.Items.Clear();
            foreach (Control control in Controls)
                lstControls.Items.Add(control.Name);
        }

        private void btnHScrollBar_Click(object sender, EventArgs e)
        {
            lstControls.Items.Clear();
            foreach (HScrollBar hbar in Controls.OfType<HScrollBar>())
                lstControls.Items.Add(hbar.Name);
        }

        private void btnScrollBar_Click(object sender, EventArgs e)
        {
            lstControls.Items.Clear();
            foreach (ScrollBar sbar in Controls.OfType<ScrollBar>())
                lstControls.Items.Add(sbar.Name);
        }

        private void btnButton_Click(object sender, EventArgs e)
        {
            lstControls.Items.Clear();
            foreach (Button btn in Controls.OfType<Button>())
                lstControls.Items.Add(btn.Name);
        }
    }
}
